SystemOrganization addCategory: #ConfigurationOfGTSpotter!

Object subclass: #ConfigurationOfGTSpotter
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGTSpotter'!

!ConfigurationOfGTSpotter commentStamp: 'AndreiChis 12/7/2014 14:50' prior: 0!
ConfigurationOfGTSpotter loadDevelopment!

!ConfigurationOfGTSpotter class methodsFor: 'development support' stamp: 'TudorGirba 11/27/2014 07:18'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGTSpotter class methodsFor: 'private' stamp: 'TudorGirba 11/27/2014 07:18'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGTSpotter class methodsFor: 'private' stamp: 'TudorGirba 11/27/2014 07:18'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGTSpotter class methodsFor: 'private' stamp: 'TudorGirba 11/27/2014 07:18'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGTSpotter class methodsFor: 'metacello tool support' stamp: 'TudorGirba 11/27/2014 07:18'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGTSpotter class methodsFor: 'loading' stamp: 'TudorGirba 11/27/2014 07:18'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGTSpotter class methodsFor: 'loading' stamp: 'TudorGirba 11/27/2014 07:18'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGTSpotter class methodsFor: 'loading' stamp: 'TudorGirba 11/27/2014 07:18'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGTSpotter class methodsFor: 'accessing' stamp: 'TudorGirba 11/27/2014 07:18'!
project

	^self new project! !

!ConfigurationOfGTSpotter class methodsFor: 'development support' stamp: 'TudorGirba 11/27/2014 07:18'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGTSpotter methodsFor: 'baselines' stamp: 'TudorGirba 11/27/2014 07:32'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'first shot'.
		spec author: 'TudorGirba'.
		spec timestamp: '2014-11-27'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec 
			package: 'GT-Spotter' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-SpotterExtensions-Core' with: [
				spec requires: #('GT-Spotter' 'GlamourCore' ). ].
		
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamourCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ].
		
		spec 
			group: 'Core' with: #('GT-Spotter' 'GT-SpotterExtensions-Core' );
			group: 'Tests' with: #('GT-Spotter' );
			group: 'default' with: #('Core') ]! !

!ConfigurationOfGTSpotter methodsFor: 'baselines' stamp: 'AndreiChis 2/28/2015 20:20'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'GT-Spotter-EventRecorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '2015-02-28'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec 
			package: 'GT-Spotter' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-Spotter-EventRecorder' with: [
				spec requires: #('GT-Spotter' ). ];
			package: 'GT-SpotterExtensions-Core' with: [
				spec requires: #('GT-Spotter' 'GlamourCore' ). ].
		
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamourCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ].
		
		spec 
			group: 'Core' with: #('GT-Spotter' 'GT-SpotterExtensions-Core' );
			group: 'Tests' with: #('GT-Spotter' );
			group: 'default' with: #('Core' 'GT-Spotter-EventRecorder') ]! !

!ConfigurationOfGTSpotter methodsFor: 'baselines' stamp: 'AndreiChis 3/20/2015 19:53'!
baseline12: spec
	<version: '1.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'GT-Tests-Spotter'.
		spec author: 'AndreiChis'.
		spec timestamp: '2015-03-20'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec 
			package: 'GT-Spotter' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-Spotter-EventRecorder' with: [
				spec requires: #('GT-Spotter' ). ];
			package: 'GT-SpotterExtensions-Core' with: [
				spec requires: #('GT-Spotter' 'GlamourCore' ) ];
			package: 'GT-Tests-Spotter' with: [
				spec requires: #('GT-Spotter' 'GT-SpotterExtensions-Core' ) ].
		
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamourCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ].
		
		spec 
			group: 'Core' with: #('GT-Spotter' 'GT-SpotterExtensions-Core' );
			group: 'Tests' with: #('GT-Spotter' 'GT-Tests-Spotter');
			group: 'default' with: #('Core' 'Tests' 'GT-Spotter-EventRecorder') ]! !

!ConfigurationOfGTSpotter methodsFor: 'baselines' stamp: 'JurajKubelka 10/15/2015 19:08'!
baseline13: spec
	<version: '1.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'It depends on GT-EventRecorder.'.
		spec author: 'JurajKubelka'.
		spec timestamp: '2015-10-15'.
		spec repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/'.
		
		spec 
			package: 'GT-Spotter' with: [
				spec requires: #('GlamourCore' ). ];
			package: 'GT-Spotter-EventRecorder' with: [
				spec requires: #('GT-Spotter' 'GTEventRecorder' ). ];
			package: 'GT-SpotterExtensions-Core' with: [
				spec requires: #('GT-Spotter' 'GlamourCore' ) ];
			package: 'GT-Tests-Spotter' with: [
				spec requires: #('GT-Spotter' 'GT-SpotterExtensions-Core' ) ].
		
		spec 
			project: 'GlamourCore' with: [
				spec
					className: #ConfigurationOfGlamourCore;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/Glamour/main/' ].

		spec 
			project: 'GTEventRecorder' with: [
				spec
					className: #ConfigurationOfGTEventRecorder;
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/Moose/GToolkit/main/' ].
		
		spec 
			group: 'Core' with: #('GT-Spotter' 'GT-SpotterExtensions-Core' );
			group: 'Tests' with: #('GT-Spotter' 'GT-Tests-Spotter');
			group: 'default' with: #('Core' 'Tests' 'GT-Spotter-EventRecorder') ]! !

!ConfigurationOfGTSpotter methodsFor: 'accessing' stamp: 'TudorGirba 11/27/2014 07:18'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGTSpotter methodsFor: 'symbolic versions' stamp: 'AndreiChis 2/11/2017 18:13'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.3-baseline'.

	spec for: #'pharo3.x' version: '1.0.4'.

	spec for: #'pharo4.x' version: '1.2-baseline'.

	spec for: #'pharo5.x' version: #'stable'.

	spec for: #'pharo6.x' version: '1.3-baseline'.
! !

!ConfigurationOfGTSpotter methodsFor: 'accessing' stamp: 'TudorGirba 11/27/2014 07:18'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGTSpotter methodsFor: 'symbolic versions' stamp: 'AndreiChis 2/11/2017 18:13'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.24'.

	spec for: #'pharo3.x' version: '1.0.4'.

	spec for: #'pharo4.x' version: '1.2.4'.

	spec for: #'pharo5.x' version: '2.14'.

	spec for: #'pharo6.x' version: '2.23'.
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 12/9/2014 12:40'!
version100: spec
	<version: '1.0.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.0'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/07/2014 14:48'.
		
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.61';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.21'.
		spec 
			project: 'GlamourCore' with: '3.0.4'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 12/10/2014 14:04'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.1'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/10/2014 13:38'.
		
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.64';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.22'.
		spec 
			project: 'GlamourCore' with: '3.0.5'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 10/15/2015 20:01'!
version102: spec
	<version: '1.0.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.2'.
		spec author: 'TudorGirba'.
		spec timestamp: '12/23/2014 14:10'.
		spec project: 'GlamourCore' with: '3.0.6'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.70';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.30'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'TudorGirba 12/28/2014 00:56'!
version103: spec
	<version: '1.0.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.3'.
		spec author: 'TudorGirba'.
		spec timestamp: '12/28/2014 14:10'.
		spec project: 'GlamourCore' with: '3.0.6'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.75';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.30'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'TudorGirba 1/4/2015 10:01'!
version104: spec
	<version: '1.0.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0.4 for Pharo 3.0'.
		spec author: 'TudorGirba'.
		spec timestamp: '1/04/2014 11:10'.
		spec project: 'GlamourCore' with: '3.0.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.75';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.30'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/7/2015 17:49'!
version105: spec
	<version: '1.0.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/07/2014 17:49'.
		spec project: 'GlamourCore' with: '3.0.8'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.76';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.30'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/8/2015 21:46'!
version106: spec
	<version: '1.0.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/08/2014 21:45'.
		spec project: 'GlamourCore' with: '3.0.9'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.77';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.34'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/16/2015 19:15'!
version107: spec
	<version: '1.0.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '01/16/2015 19:13'.
		spec project: 'GlamourCore' with: '3.0.10'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.86';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.37' ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/15/2016 18:14'!
version110: spec
	<version: '1.10' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes in inspector and debugger'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/15/2016 18:14'.
		spec 
			project: 'GlamourCore' with: '3.9';
			project: 'GTEventRecorder' with: '0.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.336';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.187';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/18/2016 13:24'!
version111: spec
	<version: '1.11' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes and improvements.'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/18/2016 13:24'.
		spec 
			project: 'GlamourCore' with: '3.10';
			project: 'GTEventRecorder' with: '0.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.336';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.187';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'TudorGirba 2/8/2016 13:05'!
version112: spec
	<version: '1.12' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.10'.
		spec author: 'AndreiChis'.
		spec timestamp: '02/08/2016 15:54'.
		spec 
			project: 'GlamourCore' with: '4.0';
			project: 'GTEventRecorder' with: '0.8'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.355';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.108';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.189';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/10/2015 13:19'!
version120: spec
	<version: '1.2.0' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/08/2015 21:57'.
		spec project: 'GlamourCore' with: '3.1.0'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.305';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.85';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.138';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.7' ].! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 9/1/2015 16:11'!
version1210: spec
	<version: '1.2.10' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.10'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/1/2015 15:31'.
		spec project: 'GlamourCore' with: '3.1.10'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.318';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-YuriyTymchuk.94';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-MarcusDenker.156';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 9/2/2015 14:36'!
version1211: spec
	<version: '1.2.11' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.11'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/2/2015 14:36'.
		spec project: 'GlamourCore' with: '3.1.10'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.318';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.96';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-MarcusDenker.156';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'CyrilFerlicot 9/11/2015 20:44'!
version1212: spec
	<version: '1.2.12' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.12'.
		spec author: 'CyrilFerlicot'.
		spec timestamp: '9/11/2015 20:43'.
		spec project: 'GlamourCore' with: '3.1.10'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-CyrilFerlicot.321';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.96';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-MarcusDenker.156';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'EstebanLorenzano 10/2/2015 16:11'!
version1213: spec
	<version: '1.2.13' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'cleanup before remove ThemeIcons'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '10/2/2015 16:11'.
		spec project: 'GlamourCore' with: '3.2.3'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-CyrilFerlicot.321';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.96';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-EstebanLorenzano.157';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 10/8/2015 21:29'!
version1214: spec
	<version: '1.2.14' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'bugfixes'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/8/2015 21:24'.
		spec project: 'GlamourCore' with: '3.2.4'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-CyrilFerlicot.321';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-MarcusDenker.97';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-EstebanLorenzano.157';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 10/15/2015 16:23'!
version1215: spec
	<version: '1.2.15' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'bugfixes'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/15/2015 16:22'.
		spec project: 'GlamourCore' with: '3.2.5'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.325';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-MarcusDenker.97';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.166';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.14'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/13/2015 00:03'!
version121: spec
	<version: '1.2.1' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/11/2015 16:55'.
		spec project: 'GlamourCore' with: '3.1.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.307';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.141';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8' ].! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/29/2015 11:10'!
version122: spec
	<version: '1.2.2' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec author: 'AndreiChis'.
		spec timestamp: '04/29/2015 11:09'.
		spec project: 'GlamourCore' with: '3.1.2'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.307';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.142';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8' ].! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'BernardoContreras 5/2/2015 18:48'!
version123: spec
	<version: '1.2.3' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Replace Announcer>>#on:send:to:''s senders with Announcer>>#when:send:to: in the following methods

GTSpotterCategoryTitleBrick>>#stepModel: 
GTSpotterMorph>>#initializeListeners'.
		spec author: 'BernardoContreras'.
		spec timestamp: '5/2/2015 18:48'.
		spec project: 'GlamourCore' with: '3.1.2'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-BernardoContreras.308';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.142';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 5/10/2015 12:41'!
version124: spec
	<version: '1.2.4' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'merged with Pharo + fixed RPackage>>spotterActDefault'.
		spec author: 'AndreiChis'.
		spec timestamp: '5/7/2015 15:29'.
		spec project: 'GlamourCore' with: '3.1.3'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-BernardoContreras.308';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.146';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'StephaneDucasse 6/4/2015 19:49'!
version125: spec
	<version: '1.2.5' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.5'.
		spec author: 'StephaneDucasse'.
		spec timestamp: '6/4/2015 19:49'.
		spec project: 'GlamourCore' with: '3.2-baseline'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StephaneDucasse.309';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.146';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'EstebanLorenzano 6/17/2015 12:04'!
version126: spec
	<version: '1.2.6' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'spotter dive into class from senders/implementors result list'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '6/17/2015 12:04'.
		spec project: 'GlamourCore' with: '3.1.4'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StephaneDucasse.309';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.89';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-NicolaiHess.147';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 7/1/2015 14:44'!
version127: spec
	<version: '1.2.7' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.7'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/1/2015 14:25'.
		spec project: 'GlamourCore' with: '3.1.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-NicolaiHess.310';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.92';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-NicolaiHess.148';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.8'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 7/10/2015 17:28'!
version128: spec
	<version: '1.2.8' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.8'.
		spec author: 'AndreiChis'.
		spec timestamp: '7/3/2015 13:54'.
		spec project: 'GlamourCore' with: '3.1.8'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.315';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.92';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.152';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 8/12/2015 15:32'!
version129: spec
	<version: '1.2.9' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.2.9'.
		spec author: 'AndreiChis'.
		spec timestamp: '8/12/2015 15:31'.
		spec project: 'GlamourCore' with: '3.1.9'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.318';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.92';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TorstenBergmann.154';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.9'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 11/11/2015 11:41'!
version13: spec
	<version: '1.3' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Updated GTools: 
  - bug fixes
  - deprecated PluggableTextMorph
  - improved event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/9/2015 14:32'.
		spec 
			project: 'GlamourCore' with: '3.3';
			project: 'GTEventRecorder' with: '0.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.333';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.102';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.166';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.14'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 11/25/2015 18:00'!
version141: spec
	<version: '1.4.1' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Changes in the use of #garbageCollect'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/25/2015 18:00'.
		spec 
			project: 'GlamourCore' with: '3.4.1';
			project: 'GTEventRecorder' with: '0.3.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.167';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 12/4/2015 11:26'!
version142: spec
	<version: '1.4.2' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Update GTools: small fixes and improvements (issue 17184)'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/4/2015 11:12'.
		spec 
			project: 'GlamourCore' with: '3.4.2';
			project: 'GTEventRecorder' with: '0.3.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.172';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 11/19/2015 20:58'!
version14: spec
	<version: '1.4' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Update GTools. 
 - bug fixes
 - improvements in the event recorder'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/19/2015 20:58'.
		spec 
			project: 'GlamourCore' with: '3.4';
			project: 'GTEventRecorder' with: '0.3'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.167';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/7/2016 10:41'!
version15: spec
	<version: '1.5' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Load GTDebugger together with the extensions for SUnit and Bytecode.
Bugfixes (17190, 17206, 17336, 17337, 17225)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/7/2016 10:41'.
		spec 
			project: 'GlamourCore' with: '3.5';
			project: 'GTEventRecorder' with: '0.4'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.172';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 1/7/2016 19:30'!
version16: spec
	<version: '1.6' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.6'.
		spec author: 'JurajKubelka'.
		spec timestamp: '1/7/2016 19:28'.
		spec 
			project: 'GlamourCore' with: '3.5';
			project: 'GTEventRecorder' with: '0.5'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.172';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/8/2016 19:27'!
version17: spec
	<version: '1.7' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'This version fixes problems in GTDebugger and updates  Rubric (issues: 17155, 17279, 17152)'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/8/2016 19:27'.
		spec 
			project: 'GlamourCore' with: '3.6';
			project: 'GTEventRecorder' with: '0.6'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.334';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.172';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'TudorGirba 1/12/2016 01:00'!
version18: spec
	<version: '1.8' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Fixes in the debugger, inspector and spotter.'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/10/2016 23:53'.
		spec 
			project: 'GlamourCore' with: '3.7';
			project: 'GTEventRecorder' with: '0.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.336';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.185';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 1/15/2016 16:23'!
version19: spec
	<version: '1.9' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Bugfixes in Spotter and Glamour'.
		spec author: 'AndreiChis'.
		spec timestamp: '1/15/2016 16:23'.
		spec 
			project: 'GlamourCore' with: '3.8';
			project: 'GTEventRecorder' with: '0.7'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.336';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.107';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.187';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/18/2016 14:21'!
version20: spec
	<version: '2.0' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools version 3.11'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/18/2016 14:21'.
		spec 
			project: 'GlamourCore' with: '4.1';
			project: 'GTEventRecorder' with: '0.9'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.359';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.108';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.190';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/27/2016 19:10'!
version210: spec
	<version: '2.10' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.21 (case 18112)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/27/2016 19:10'.
		spec 
			project: 'GlamourCore' with: '4.13';
			project: 'GTEventRecorder' with: '0.15'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.397';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-VincentBlondeau.203';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'PavelKrivanek 6/3/2016 16:05'!
version211: spec
	<version: '2.11' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.22 (case 17948)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/28/2016 16:25'.
		spec 
			project: 'GlamourCore' with: '4.15';
			project: 'GTEventRecorder' with: '0.17'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.397';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-VincentBlondeau.203';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 7/2/2016 13:20'!
version212: spec
	<version: '2.12' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.23'.
		spec author: 'AndreiChis'.
		spec timestamp: '6/27/2016 12:09'.
		spec 
			project: 'GlamourCore' with: '4.17';
			project: 'GTEventRecorder' with: '0.18'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.400';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.209';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.19'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 7/21/2016 13:37'!
version213: spec
	<version: '2.13' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Integration for case 18773.

Fixes these issues:
- case 18691
- case 18471
- case 18244
- case 18708

Apart from the issues:
- GT-InspectorExtensions: only show methods for the current class, added basic example for RBCondition
- Uses Pragma>>#methodSelector instead of Pragma>>#selector (case 18665).
- Uses Behavior>>#classLayout instead of Behavior>>#layout (case 16636).
- Uses CompiledMethod>>#sourceCode instead of CompiledMethod>>#getSource (case 18694).
- GT-EventRecorder: Add a basic recorder event'.
		spec author: 'JurajKubelka'.
		spec timestamp: '7/13/2016 10:06'.
		spec 
			project: 'GlamourCore' with: '4.17';
			project: 'GTEventRecorder' with: '0.18'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.401';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-JurajKubelka.213';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.19'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 7/14/2016 13:48'!
version214: spec
	<version: '2.14' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Stable version for Pharo 5.0.'.
		spec author: 'JurajKubelka'.
		spec timestamp: '7/14/2016 13:48'.
		spec 
			project: 'GlamourCore' with: '4.19';
			project: 'GTEventRecorder' with: '0.20'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.397';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-VincentBlondeau.203';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 7/21/2016 18:14'!
version215: spec
	<version: '2.15' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Prevent infinite loop in GLMScrollListBrick>>#preventOverscrolling
 - in some cases it was moving band to the top and to the bottom.'.
		spec author: 'JurajKubelka'.
		spec timestamp: '7/21/2016 18:06'.
		spec 
			project: 'GlamourCore' with: '4.20';
			project: 'GTEventRecorder' with: '0.19'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-JurajKubelka.401';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-JurajKubelka.213';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.19'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 8/25/2016 14:40'!
version216: spec
	<version: '2.16' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.27'.
		spec author: 'AndreiChis'.
		spec timestamp: '8/25/2016 14:40'.
		spec 
			project: 'GlamourCore' with: '4.21';
			project: 'GTEventRecorder' with: '1.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.402';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.216';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.20'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 9/22/2016 23:31'!
version217: spec
	<version: '2.17' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.28'.
		spec author: 'AndreiChis'.
		spec timestamp: '9/22/2016 23:31'.
		spec 
			project: 'GlamourCore' with: '4.22';
			project: 'GTEventRecorder' with: '1.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.402';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.216';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.20'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 10/4/2016 12:00'!
version218: spec
	<version: '2.18' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit Version 3.29'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/4/2016 12:00'.
		spec 
			project: 'GlamourCore' with: '4.23';
			project: 'GTEventRecorder' with: '1.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.402';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.216';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.22'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 10/4/2016 16:22'!
version219: spec
	<version: '2.19' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Spotter version 2.19'.
		spec author: 'AndreiChis'.
		spec timestamp: '10/4/2016 16:22'.
		spec 
			project: 'GlamourCore' with: '4.23';
			project: 'GTEventRecorder' with: '1.1'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-StefanReichhart.402';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.216';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.23'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/20/2016 21:20'!
version21: spec
	<version: '2.1' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.12'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/20/2016 00:11'.
		spec 
			project: 'GlamourCore' with: '4.2';
			project: 'GTEventRecorder' with: '0.9'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AliakseiSyrel.365';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-AndreiChis.108';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.193';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 11/1/2016 11:15'!
version220: spec
	<version: '2.20' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.30'.
		spec author: 'AndreiChis'.
		spec timestamp: '11/1/2016 11:15'.
		spec 
			project: 'GlamourCore' with: '4.24';
			project: 'GTEventRecorder' with: '1.2'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-HenrikNergaard.405';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-StefanReichhart.216';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AndreiChis.23'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'JurajKubelka 12/27/2016 13:18'!
version221: spec
	<version: '2.21' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'Glamour version 4.28 includes Glamour <--> Spec integration'.
		spec author: 'JurajKubelka'.
		spec timestamp: '12/27/2016 13:18'.
		spec 
			project: 'GlamourCore' with: '4.28';
			project: 'GTEventRecorder' with: '1.2'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-HenrikNergaard.405';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TheIntegrator.218';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TheIntegrator.27'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 12/27/2016 21:38'!
version222: spec
	<version: '2.22' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.32'.
		spec author: 'AndreiChis'.
		spec timestamp: '12/27/2016 21:38'.
		spec 
			project: 'GlamourCore' with: '4.29';
			project: 'GTEventRecorder' with: '1.3'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-PavelKrivanek.407';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.219';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TheIntegrator.27'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/3/2017 18:30'!
version223: spec
	<version: '2.23' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.33'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/3/2017 18:30'.
		spec 
			project: 'GlamourCore' with: '4.32';
			project: 'GTEventRecorder' with: '1.4'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-PavelKrivanek.407';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TheIntegrator.221';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-VincentBlondeau.28'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/11/2017 18:13'!
version224: spec
	<version: '2.24' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.26'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/11/2017 18:13'.
		spec 
			project: 'GlamourCore' with: '4.33';
			project: 'GTEventRecorder' with: '1.5'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-PavelKrivanek.407';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-JurajKubelka.113';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TheIntegrator.221';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-VincentBlondeau.28'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/23/2016 17:57'!
version22: spec
	<version: '2.2' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools version 3.13'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/23/2016 17:57'.
		spec 
			project: 'GlamourCore' with: '4.3';
			project: 'GTEventRecorder' with: '0.9'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.374';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.193';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 2/28/2016 12:11'!
version23: spec
	<version: '2.3' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.14'.
		spec author: 'AndreiChis'.
		spec timestamp: '2/28/2016 12:11'.
		spec 
			project: 'GlamourCore' with: '4.4';
			project: 'GTEventRecorder' with: '0.10'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.379';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.197';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-StefanReichhart.15'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 3/17/2016 10:50'!
version24: spec
	<version: '2.4' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GTools Version 3.15'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/17/2016 10:50'.
		spec 
			project: 'GlamourCore' with: '4.6';
			project: 'GTEventRecorder' with: '0.11'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-TudorGirba.382';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-TudorGirba.198';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-TudorGirba.16'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 3/24/2016 09:54'!
version25: spec
	<version: '2.5' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.16'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/23/2016 14:21'.
		spec 
			project: 'GlamourCore' with: '4.8';
			project: 'GTEventRecorder' with: '0.13'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-YuriyTymchuk.390';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.201';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 3/29/2016 23:44'!
version26: spec
	<version: '2.6' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.17'.
		spec author: 'AndreiChis'.
		spec timestamp: '3/29/2016 23:44'.
		spec 
			project: 'GlamourCore' with: '4.9';
			project: 'GTEventRecorder' with: '0.14'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.391';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AliakseiSyrel.201';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'GuillermoPolito 4/12/2016 11:47'!
version271: spec
	<version: '2.7.1' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 2.7.1'.
		spec author: 'GuillermoPolito'.
		spec timestamp: '4/12/2016 11:46'.
		spec 
			project: 'GlamourCore' with: '4.10.1';
			project: 'GTEventRecorder' with: '0.14'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-GuillermoPolito.394';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.202';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/8/2016 10:36'!
version27: spec
	<version: '2.7' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.18'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/8/2016 10:36'.
		spec 
			project: 'GlamourCore' with: '4.10';
			project: 'GTEventRecorder' with: '0.14'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-AndreiChis.392';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-TheIntegrator.109';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-AndreiChis.202';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/14/2016 13:57'!
version28: spec
	<version: '2.8' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.19'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/14/2016 13:57'.
		spec 
			project: 'GlamourCore' with: '4.11';
			project: 'GTEventRecorder' with: '0.14'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-GuillermoPolito.394';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-VincentBlondeau.203';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !

!ConfigurationOfGTSpotter methodsFor: 'versions' stamp: 'AndreiChis 4/18/2016 22:57'!
version29: spec
	<version: '2.9' imports: #('1.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'GToolkit version 3.20 (case 18022)'.
		spec author: 'AndreiChis'.
		spec timestamp: '4/18/2016 22:57'.
		spec 
			project: 'GlamourCore' with: '4.12';
			project: 'GTEventRecorder' with: '0.15'.
		spec 
			package: 'GT-Spotter' with: 'GT-Spotter-GuillermoPolito.394';
			package: 'GT-Spotter-EventRecorder' with: 'GT-Spotter-EventRecorder-GuillermoPolito.112';
			package: 'GT-SpotterExtensions-Core' with: 'GT-SpotterExtensions-Core-VincentBlondeau.203';
			package: 'GT-Tests-Spotter' with: 'GT-Tests-Spotter-AliakseiSyrel.17'. ].
! !
